/**
 * @internal
 */
export declare class ColorParser {
    private color;
    private static readonly REGEX;
    private red;
    private green;
    private blue;
    constructor(color: string);
    rgb(): string;
    rgbInverted(): string;
    rgbSaturated(): string;
    private rgbString;
}
